function g = powell_gradient1(x)
  %
  % A version of the powell_gradient() function which takes a column
  % 4-vector instead of four distinct arguments. See
  % powell_gradient.m for more information.
  %
  if (length(x) == 4)
    g = powell_gradient(x(1), x(2), x(3), x(4));
  else
    g = NA;
  end
end
